Множественные уязвимости в Claroline

Дата публикации:
15.02.2008
Всего просмотров:
1265
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-0824
CVE-2008-0825
CVE-2008-0826
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Claroline 1.x
Уязвимые версии: Claroline 1.8.8, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

3. Уязвимость существует из-за неизвестной ошибки в функции "php2phps()". Подробности уязвимости не сообщаются.

URL производителя: www.claroline.net

Решение: Установите последнюю версию 1.8.9 с сайта производителя.

или введите имя

CAPTCHA